File: semantic_range.gemspec

package info (click to toggle)
ruby-semantic-range 3.0.0-1
  • links: PTS, VCS
  • area: main
  • in suites: sid
  • size: 100 kB
  • sloc: ruby: 731; makefile: 4
file content (31 lines) | stat: -rw-r--r-- 1,367 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
#########################################################
# This file has been automatically generated by gem2tgz #
#########################################################
# -*- encoding: utf-8 -*-
# stub: semantic_range 3.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "semantic_range".freeze
  s.version = "3.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Andrew Nesbitt".freeze]
  s.date = "2021-03-04"
  s.email = ["andrewnez@gmail.com".freeze]
  s.files = ["LICENSE.txt".freeze, "README.md".freeze, "lib/semantic_range.rb".freeze, "lib/semantic_range/comparator.rb".freeze, "lib/semantic_range/pre_release.rb".freeze, "lib/semantic_range/range.rb".freeze, "lib/semantic_range/version.rb".freeze]
  s.homepage = "https://libraries.io/github/librariesio/semantic_range".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.0.rc.2".freeze
  s.summary = "node-semver rewritten in ruby, for comparison and inclusion of semantic versions and ranges".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.4"])
  else
    s.add_dependency(%q<rspec>.freeze, ["~> 3.4"])
  end
end